%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		four-in-a-row
Version:	3.38.1
Release:	%mkrel 1
Summary:	GNOME Four-in-a-row game
License:	GPLv2+ and GFDL
Group:		Games/Boards
URL:		https://wiki.gnome.org/Apps/Four-in-a-row
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gsound)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.26
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.32.0
BuildRequires:	pkgconfig(zlib)
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	lib64xtst-devel
Obsoletes:	gnect
# For help
Requires:	yelp

%description
The objective of Four-in-a-row is to build a line of four of your marbles
while trying to stop your opponent (human or computer) building a line
of his or her own.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --all-name --with-gnome

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Four-in-a-row.desktop
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/org.gnome.Four-in-a-row.gschema.xml
%{_iconsdir}/*/*/apps/org.gnome.Four-in-a-row*.*
%{_mandir}/man6/%{name}.6*
%{_datadir}/metainfo/org.gnome.Four-in-a-row.appdata.xml
%{_datadir}/help
%{_datadir}/dbus-1/services/org.gnome.Four-in-a-row.service

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot


%changelog
* Sat Oct 03 2020 tex - 3.38.1-1pclos2020
- new version

* Sun May 31 2020 tex - 3.36.3-1pclos2020
- new version

* Sun Apr 26 2020 tex - 3.36.2-1pclos2020
- new version

* Tue Mar 10 2020 tex - 3.36.0-1pclos2020
- new version

* Fri Feb 21 2020 tex - 3.34.4-1pclos2020
- new version

* Tue Jan 07 2020 tex - 3.34.3-1pclos2020
- new version

* Mon Oct 07 2019 tex - 3.34.1-1pclos2019
- new version

* Tue Sep 10 2019 tex - 3.34.0-1pclos2019
- new version 3.34.0
